UNAME(1)

NAME
uname - print operating system name

SYNOPSIS
uname [-amnprsv]

DESCRIPTION
The uname utility writes symbols representing one or more system characteristics to the standard output.

The options are as follows:

-a  Behave as though all of the options -mnrsv were specified.

-m  Print the machine hardware name.

-n  Print the nodename (the nodename may be a name that the system is known by to a communications network).

-p  Print the machine processor architecture name.

-r  Print the operating system release.

-s  Print the operating system name.

-v  Print the operating system version.

If no options are specified, uname prints the operating system name as if the -s option had been specified.

EXIT STATUS

SEE ALSO
hostname(1), machine(1), uname(3)

STANDARDS
The uname utility is compliant with the p1003.1-2008 specification.

The flag [-p] is an extension to that specification.

HISTORY
The uname command appeared in 4.4BSD.